// map binds
moveMap.delete();
new ActionMap(moveMap);
moveMap.bindCmd(keyboard, "escape", "", "escapeFromGame();");
moveMap.bind(keyboard, "i", showMissionObjectives);
moveMap.bind(keyboard, "a", moveleft);
moveMap.bind(keyboard, "d", moveright);
moveMap.bind(keyboard, "w", moveforward);
moveMap.bind(keyboard, "s", movebackward);
moveMap.bind(keyboard, "space", jump);
moveMap.bind(keyboard, "m", showPlayerControlMenu);
moveMap.bind(keyboard, "e", usePuzzleObject);
moveMap.bind(keyboard, "5", numberKey5);
moveMap.bind(keyboard, "t", throw);
moveMap.bind(keyboard, "tab", toggleMainChatHud);
moveMap.bind(keyboard, "f1", selectPlayerScout);
moveMap.bind(keyboard, "f2", selectPlayerAssault);
moveMap.bind(keyboard, "f3", selectPlayerSniper);
moveMap.bind(keyboard, "z", commandSetMoveStateProne);
moveMap.bind(keyboard, "x", commandSetMoveStateCrouch);
moveMap.bind(keyboard, "c", commandSetMoveStateStay);
moveMap.bind(keyboard, "capslock", commandToggleWalkRun);
moveMap.bind(keyboard, "lshift", commandSealingWalkRun);
moveMap.bind(keyboard, "g", commandComeToMe);
moveMap.bind(keyboard, "lcontrol", cmdToggleBehavior);
moveMap.bind(keyboard, "q", commandToggleParashute);
moveMap.bind(keyboard, "f5", doQuickSave);
moveMap.bind(keyboard, "f9", doQuickLoad);
moveMap.bind(keyboard, "1", numberKey1);
moveMap.bind(keyboard, "2", numberKey2);
moveMap.bind(keyboard, "3", numberKey3);
moveMap.bind(keyboard, "4", numberKey4);
moveMap.bind(keyboard, "6", numberKey6);
moveMap.bind(keyboard, "7", numberKey7);
moveMap.bind(keyboard, "8", numberKey8);
moveMap.bind(keyboard, "9", numberKey9);
moveMap.bind(keyboard, "0", numberKey0);
moveMap.bind(keyboard, "b", numberKeyb);
moveMap.bind(keyboard, "h", numberKeyh);
moveMap.bind(keyboard, "f", numberKeyf);
moveMap.bind(keyboard, "r", commandReloadWeapon);
moveMap.bind(keyboard, "pageup", pageMessageHudUp);
moveMap.bind(keyboard, "pagedown", pageMessageHudDown);
moveMap.bind(mouse0, "xaxis", yaw);
moveMap.bind(mouse0, "yaxis", pitch);
moveMap.bind(mouse0, "button0", mouseFire);
moveMap.bind(mouse0, "zaxis", changeCameraDistance);
moveMap.bind(mouse0, "button1", commandToggleSquinted);
moveMap.bind(mouse0, "button2", alternateFire);
